# PCKSPSetUseTrue

Sets a flag to indicate that the true matrix (rather than the matrix used to define the preconditioner) is used to compute the residual inside the inner solve.

### Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCKSPSetUseTrue(PC pc)

Collective on PC

### Input Parameters

pc -the preconditioner context

### Options Database Key

-pc_ksp_true -Activates PCKSPSetUseTrue()

### Note

For the common case in which the preconditioning and linear system matrices are identical, this routine is unnecessary.

### Keywords

PC, KSP, set, true, local, flag

### See Also

PCSetOperators(), PCBJacobiSetUseTrueLocal()

Level:advanced
Location: src/ksp/pc/impls/ksp/pcksp.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages